// 文章
import axios from "@/util/ajax";

export default {
    // 获取最新资讯
    getLatestInfo() {
        return axios.post('/xyjc/index-content/latest-info');
    },
    // 获取栏目列表
    getSectionList(params) {
        return axios.get('/xyjc/index-category/list', { params });
    },
    // 获取文章列表
    getArticleList(params, page, limit) {
        return axios.post(`/xyjc/index-content/query/${page}/${limit}`, params)
    },
    // 获取用户名
    getUserName() {
        return axios.get('/xyjc/cas/getUserName')
    },

    // 保存用户名
    saveUser(params) {
        return axios.post('/xyjc/cas/addUser',params)
    },
    // 获取用户头像
    getUserAvatar(id) {
        return axios.get(`/xyjc/cas/getUserAvatar/${id}`)
    },
    // 用户登出
    logout() {
        return axios.get('/xyjc/cas/system/logout')
    },
    // 轮播图
    getCarousel() {
        return axios.post('/xyjc/index-content/carousel')
    },
    // 分层查询组织树结构
    queryOrgByParentId(params) {
        return axios.get('/xyjc/index-dept/queryByDepth', { params })
    }
}
